For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve suggested search terms

This endpoint retrieves suggested search terms with options to filter by catalog, product code, and search term type. Results are shown in pages to make them easier to view and manage.

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint retrieves suggested search terms with options to filter by catalog, product code, and search term type. Results are shown in pages to make them easier to view and manage."

Retrieve suggested search terms

Retrieve suggested search terms

get

This endpoint retrieves suggested search terms with options to filter by catalog, product code, and search term type. Results are shown in pages to make them easier to view and manage.

Query parameters
pageTokenstringOptional

Use this token to paginate through the list of suggested terms. Pass it in subsequent requests to continue from where the previous call left off.

pageSizestring · int64Optional

Specify the number of suggested search terms to be returned per page.

Default: 20
catalogIdstringRequired

Filter the suggested search terms by the specified catalog ID.

productCodestringOptional

Filter the suggested search terms by the specified product code.

Responses
200

A list of suggested search terms and a pagination token.

application/json
nextPageTokenstringOptional

The page token to request the next page in pagination. Include it as "pageToken" in the request.

totalCountstring · int64Optional

The total number of suggested search terms matching the provided criteria.

get/v3/suggested-search-terms
GET /v3/suggested-search-terms?catalogId=text HTTP/1.1
Host: campaign.<env>.citrusad.com
Accept: */*
{
  "nextPageToken": "text",
  "suggestedSearchTerms": [
    {
      "catalogId": "text",
      "collectionName": "text",
      "id": "text",
      "phrase": "text",
      "productCode": "text",
      "rank": "text",
      "searchTermType": "SEARCH_TERM_TYPE_ORGANIC"
    }
  ],
  "totalCount": "text"
}